<template>
  <!-- 
    1. ho eliminato la dicitura functional dal componente <template functional> 
    2. ho eliminato dal div gli attributi richiesti in vue2 per la creazione di componenti functional
        :style="[data.style, data.staticStyle]"
        v-bind="data.attrs"
        v-on="listeners"
    3. ho sostituito il metodo applicato alla proprietà $options con un metodo creato nel metodo setup()
  
  
  -->
  <div
    :class="[
      'WaFooterCol',
      `${getBoolean(dataCleanMarginClasses) ? '' : 'margin-top-col'}`,
      `${getBoolean(dataCleanBaseClasses) ? '' : 'col-sm-4'}`,
      `${getBoolean(dataIsFullSmartphone) ? 'col-12' : 'col-6'}`,
      `${getBoolean(dataIsSmallText) ? 'typo-a-9' : 'typo-a-6'}`,
    ]"
  >
    <ul>
      <slot />
    </ul>
  </div>
</template>
<script>
export default {
  name: "WaFooterCol",
  props: {
    dataIsFullSmartphone: {
      type: [Boolean, String],
      default: false
    },
    dataIsSmallText: {
      type: [Boolean, String],
      default: false
    },
    dataCleanBaseClasses: {
      type: [Boolean, String],
      default: false
    },
    dataCleanMarginClasses: {
      type: [Boolean, String],
      default: true
    },
  },
  setup() {
    function getBoolean(value) {
      return typeof value === "boolean" ? value : value === "true" ? true : false;
    }

    return {
      getBoolean
    };
  },
};
</script>
<style lang="scss" scoped>
@import "../scss/_variables";
</style>
